=begin pod

=TITLE class X::Syntax::NoSelf

    class X::Syntax::NoSelf does X::Syntax { }

Compile time error thrown when C<$.foo> style calls are used where no invocant
is available.

For example the code

    $.meth

in the mainline throws the error

    ===SORRY!===
    Variable $.meth used where no 'self' is available

because C<$.meth> is short for C<$(self.meth)>, and there is no C<self>
available in mainline.

=head1 Methods

=head2 variable

Returns the variable/method call that caused the error.

=end pod
